// This file is automatically generated.
#include "cssysdef.h"
#include "csutil/scf.h"

// Put static linking stuff into own section.
// The idea is that this allows the section to be swapped out but not
// swapped in again b/c something else in it was needed.
#if !defined(CS_DEBUG) && defined(CS_COMPILER_MSVC)
#pragma const_seg(".CSmetai")
#pragma comment(linker, "/section:.CSmetai,r")
#pragma code_seg(".CSmeta")
#pragma comment(linker, "/section:.CSmeta,er")
#pragma comment(linker, "/merge:.CSmetai=.CSmeta")
#endif

namespace csStaticPluginInit
{
static char const metainfo_memory2d[] =
"<?xml version=\"1.0\"?>"
"<!-- memory2d.csplugin -->"
"<plugin>"
"  <scf>"
"    <classes>"
"      <class>"
"        <name>crystalspace.graphics2d.memory</name>"
"        <implementation>csGraphicsMemory</implementation>"
"        <description>Crystal Space Memory-Only 2D Canvas</description>"
"        <requires>"
"          <class>crystalspace.font.server.</class>"
"        </requires>"
"      </class>"
"    </classes>"
"  </scf>"
"</plugin>"
;
  #ifndef csGraphicsMemory_FACTORY_REGISTER_DEFINED 
  #define csGraphicsMemory_FACTORY_REGISTER_DEFINED 
    SCF_DEFINE_FACTORY_FUNC_REGISTRATION(csGraphicsMemory) 
  #endif

class memory2d
{
SCF_REGISTER_STATIC_LIBRARY(memory2d,metainfo_memory2d)
  #ifndef csGraphicsMemory_FACTORY_REGISTERED 
  #define csGraphicsMemory_FACTORY_REGISTERED 
    csGraphicsMemory_StaticInit csGraphicsMemory_static_init__; 
  #endif
public:
 memory2d();
};
memory2d::memory2d() {}

}
